# DXGfxLib.Cursor Class Reference

An instance of the cursor class will be used by the editor while editing the scene. Even if an instance of this class is part of the scene, it won't be displayed while the simulation is running. It will be displayed only while editing the scene. More...

Inherits DXGfxLib::ExecutableBlock, DXGfxLib::ExecutableBlock, DXGfxLib::MeshObject, and DXGfxLib::MeshObject.

Collaboration diagram for DXGfxLib.Cursor:

[legend]

List of all members.

## Public Member Functions
| Cursor ()
void | Init ()
void | Init (float size)
| Cursor (float size)
override void | GetPrepared ()
| For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.
override void | Draw (Device device)
| In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.
override void | LoadFromFile (Device d3ddevice, string fileName)
| For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.
| Cursor ()
void | Init ()
void | Init (float size)
| Cursor (float size)
override void | GetPrepared ()
| For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.
override void | Draw (Device device)
| In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.
override void | LoadFromFile (Device d3ddevice, string fileName)
| For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.
override void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

## Detailed Description

An instance of the cursor class will be used by the editor while editing the scene. Even if an instance of this class is part of the scene, it won't be displayed while the simulation is running. It will be displayed only while editing the scene.

Definition at line 32 of file Cursor.cs.

## Constructor & Destructor Documentation

DXGfxLib.Cursor.Cursor | ( |  | ) |

Definition at line 34 of file Cursor.cs.

Here is the call graph for this function:

DXGfxLib.Cursor.Cursor | ( | float | size | ) |

Definition at line 57 of file Cursor.cs.

Here is the call graph for this function:

DXGfxLib.Cursor.Cursor | ( |  | ) |

Definition at line 34 of file Cursor.cs.

Here is the call graph for this function:

DXGfxLib.Cursor.Cursor | ( | float | size | ) |

Definition at line 57 of file Cursor.cs.

Here is the call graph for this function:

## Member Function Documentation

override void DXGfxLib.Cursor.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 16 of file Cursor.script.cs.

override void DXGfxLib.Cursor.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 16 of file Cursor.script.cs.

override void DXGfxLib.Cursor.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 19 of file Cursor.script.cs.

override void DXGfxLib.Cursor.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 19 of file Cursor.script.cs.

override void DXGfxLib.Cursor.Draw | ( | Device | device | ) | `[virtual]`

In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.

Parameters:

  | device |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 72 of file Cursor.cs.

override void DXGfxLib.Cursor.Draw | ( | Device | device | ) | `[virtual]`

In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.

Parameters:

  | device |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 72 of file Cursor.cs.

override void DXGfxLib.Cursor.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 13 of file Cursor.script.cs.

override void DXGfxLib.Cursor.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 13 of file Cursor.script.cs.

override void DXGfxLib.Cursor.GetPrepared | ( |  | ) | `[virtual]`

For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.

Reimplemented from DXGfxLib.MeshObject.

Definition at line 67 of file Cursor.cs.

Here is the call graph for this function:

override void DXGfxLib.Cursor.GetPrepared | ( |  | ) | `[virtual]`

For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.

Reimplemented from DXGfxLib.MeshObject.

Definition at line 67 of file Cursor.cs.

Here is the call graph for this function:

void DXGfxLib.Cursor.Init | ( | float | size | ) |

Definition at line 49 of file Cursor.cs.

Here is the call graph for this function:

void DXGfxLib.Cursor.Init | ( |  | ) |

Definition at line 44 of file Cursor.cs.

Here is the call graph for this function:

void DXGfxLib.Cursor.Init | ( | float | size | ) |

Definition at line 49 of file Cursor.cs.

Here is the call graph for this function:

void DXGfxLib.Cursor.Init | ( |  | ) |

Definition at line 44 of file Cursor.cs.

Here is the caller graph for this function:

override void DXGfxLib.Cursor.LoadFromFile | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  | `[virtual]`

For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.

Parameters:

  | d3ddevice |
  | fileName |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 77 of file Cursor.cs.

override void DXGfxLib.Cursor.LoadFromFile | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  | `[virtual]`

For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.

Parameters:

  | d3ddevice |
  | fileName |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 77 of file Cursor.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Cursor.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Cursor.cs
- D:/guillaume/guillara/3D/DXGfx/SampleSceneLoader/bin/Debug/Media/tmpScripts/Cursor.script.cs
- D:/guillaume/guillara/3D/DXGfx/SceneSamples/Media/tmpScripts/Cursor.script.cs